
Figure - Bug #117997
【IOV-28659】【VC1】【0072】【台架】【EE环境】【副屏】偶发一次中控停止hiphi show的动画播放，副屏
冻屏在动画界面不能退出
2023-05-17 16:35 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-17

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0095.c103

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230517  10:42

【前提条件】：车机上电（KL30ON ，KL15 ON）

1. 中控进入HiPhi Show，选择“particle”这个动画进行播放

2.播放几十秒后点击“X”退出动画播放

【实际结果】

中控退出动画播放，而副屏卡在动画界面，副屏冻屏，任何点击或滑动操作都无效。

【期望结果】

副屏同步中控退出动画播放。

【备注】：

此问题只出现一次，需要副屏重启才恢复。

中控log可去云端log，VIN：HRYTTESTVINMGM400

History

#1 - 2023-05-17 16:44 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117997/tlog_iov0201017500006162025411a2212290000000911_000144_0517104523.tar.gz  日志FTP地址

#2 - 2023-05-17 19:36 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#3 - 2023-05-17 20:36 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS-TEST 周婷
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117997/tlog_iov0201017500006162025411a2212290000000911_000144_0517104523.tar.gz


Hi 周婷

1.如沟通，这个问题客户那边抓取的日志是实时日志，但是根据问题描述，他们应该是做了一次重启的，重启之前的日志在实时日志中是没有的

需要客户那边抓取历史日志

2.这个问题是三屏联动应用播放动画产生的，因此最好是由客户那边的负责三屏联动的同事先分析一下，再给到我们

如上,请同步信息给客户，谢谢

#4 - 2023-05-22 14:09 - CDTS_TEST 王成

- Assignee changed from CDTS-TEST 周婷 to CD FW 曹覃刚

5.20客户研发  陈广武回复

05-17 19:45:23.331 2799 2799 I hpplay-java: [main]:IPManager:getActiveNets eth0:false wifi:false mobile:false ap:false

05-17 20:29:18.000 1508 2375 D AlarmManagerService: Setting time of day to sec=1684372024

根据最新整合的log，5月17号的日志开始和结束如上述，不是问题发生时的log。

还有找到HiPhiShow关键字说法，系统会打印相关进程log，如下

Line 222775: 05-18 09:28:50.139  2797  2797 W ContextImpl: Calling a method in the system process without a qualified user: android.app.ContextImpl.startService:1816

android.content.ContextWrapper.startService:774 com.hryt.hiphishowfsecontrol.mce_app.broadcasts.FseReceiver.onReceive:49

android.app.ActivityThread.handleReceiver:4309 android.app.ActivityThread.access$1600:248  Line 222775: 05-18 09:28:50.139  2797  2797 W ContextImpl: Calling a

method in the system process without a qualified user: android.app.ContextImpl.startService:1816 android.content.ContextWrapper.startService:774

com.hryt.hiphishowfsecontrol.mce_app.broadcasts.FseReceiver.onReceive:49 android.app.ActivityThread.handleReceiver:4309

android.app.ActivityThread.access$1600:248

但这不是HiPhiShow副屏进程的log，请再次确认！

#5 - 2023-05-22 15:03 - 物联网项目组-RD3_CDTS 周飞

- File 28659.zip added

#6 - 2023-05-22 17:10 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

000144_persist_00918_230517_114306.log:1086: 05-17 11:43:10.026  1535 12721 I ActivityTaskManager: START u0 {flg=0x10000000 pkg=com.thundercomm.screensaver

cmp=com.thundercomm.screensaver/android.service.dreams.DreamActivity (has extras)} from uid 10052

//11:43:10进入屏保

000144_persist_00919_230517_114310.log:217: 05-17 11:43:10.865  1535  1753 I input_focus: [Focus entering 53ded9e

com.tencent.qqmusic/com.tencent.qqmusic.activity.AppStarterActivity (server),reason=Window became focusable. Previous reason: NOT_VISIBLE]

//11:43:10进入qq音乐

000144_persist_00920_230517_114314.log:271: 05-17 11:43:14.811  1535  1753 I input_focus: [Focus entering e29a535

com.android.launcher3/com.android.launcher3.uioverrides.QuickstepLauncher (server),reason=setFocusedWindow]

//11:43:14回到桌面

000144_persist_00920_230517_114314.log:832: 05-17 11:43:16.080  1535 12552 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN

cat=[android.intent.category.LAUNCHER] flg=0x10200000 cmp=com.tencent.qqmusic/.activity.AppStarterActivity bnds=[1026,96][1326,394]} from uid 10072

//11:43:16又进入qq音乐
000144_persist_00921_230517_114317.log:96: 05-17 11:43:17.696  1535  2892 I ActivityTaskManager: START u0 {flg=0x10000000 pkg=com.thundercomm.screensaver

cmp=com.thundercomm.screensaver/android.service.dreams.DreamActivity (has extras)} from uid 10052

//11:43:17进入屏保

000144_persist_00921_230517_114317.log:603: 05-17 11:43:18.519  1535  1753 I input_focus: [Focus entering 53ded9e

com.tencent.qqmusic/com.tencent.qqmusic.activity.AppStarterActivity (server),reason=Window became focusable. Previous reason: NOT_VISIBLE]

//11:43:18又进入qq音乐

000144_persist_00921_230517_114317.log:928: 05-17 11:43:19.054  1535  1753 I input_focus: [Focus entering 66243ed HA1_$HiPhiShow (server),reason=Window

became focusable. Previous reason: NOT_VISIBLE]

//11:43:19进入 HiPhiShow  **

//11:43:29 有下列异常输出  **

000144_persist_00923_230517_114323.log:1023: 05-17 11:43:29.560  2840 22633 W System.err: java.lang.IllegalStateException

000144_persist_00923_230517_114323.log:1025: 05-17 11:43:29.572  2840 22633 W System.err:     at android.media.MediaCodec.native_dequeueOutputBuffer(Native

Method)

000144_persist_00923_230517_114323.log:1026: 05-17 11:43:29.572  2840 22633 W System.err:     at

android.media.MediaCodec.dequeueOutputBuffer(MediaCodec.java:3535)

000144_persist_00923_230517_114323.log:1027: 05-17 11:43:29.572  2840 22633 W System.err:     at

com.hryt.hiphishowfsecontrol.mce_app.video_play.MediaDecoder.play(MediaDecoder.java:145)

000144_persist_00923_230517_114323.log:1028: 05-17 11:43:29.572  2840 22633 W System.err:     at

com.hryt.hiphishowfsecontrol.mce_app.video_play.HHMediaController.onStart(HHMediaController.java:89)

000144_persist_00923_230517_114323.log:1029: 05-17 11:43:29.572  2840 22633 W System.err:     at

com.hryt.hiphishowfsecontrol.mce_app.video_play.HHMediaManager.onStart(HHMediaManager.java:102)

000144_persist_00923_230517_114323.log:1030: 05-17 11:43:29.572  2840 22633 W System.err:     at

com.hryt.hiphishowfsecontrol.mce_app.video_play.HHMediaManager.handleInstruction(HHMediaManager.java:146)

000144_persist_00923_230517_114323.log:1031: 05-17 11:43:29.572  2840 22633 W System.err:     at

com.hryt.hiphishowfsecontrol.mce_app.processors.InstructionDispatcher.seekPlay(InstructionDispatcher.java:400)

000144_persist_00923_230517_114323.log:1032: 05-17 11:43:29.572  2840 22633 W System.err:     at

com.hryt.hiphishowfsecontrol.mce_app.processors.InstructionDispatcher.onReceiveInstruction(InstructionDispatcher.java:145)

000144_persist_00923_230517_114323.log:1033: 05-17 11:43:29.572  2840 22633 W System.err:     at

com.hryt.hiphishowfsecontrol.mce_app.http_server.HttpReceiver.lambda$init$0$com-hryt-hiphishowfsecontrol-mce_app-http_server-HttpReceiver(HttpReceiver.java:6

4)

000144_persist_00923_230517_114323.log:1034: 05-17 11:43:29.572  2840 22633 W System.err:     at

com.hryt.hiphishowfsecontrol.mce_app.http_server.HttpReceiver$$ExternalSyntheticLambda1.onReceived(Unknown Source:2)

000144_persist_00923_230517_114323.log:1035: 05-17 11:43:29.572  2840 22633 W System.err:     at com.hryt.app.color.RequestHandler.run(RequestHandler.java:55)

000144_persist_00923_230517_114323.log:1036: 05-17 11:43:29.572  2840 22633 W System.err:     at

java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1167)

000144_persist_00923_230517_114323.log:1037: 05-17 11:43:29.572  2840 22633 W System.err:     at

java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)

000144_persist_00923_230517_114323.log:1038: 05-17 11:43:29.572  2840 22633 W System.err:     at java.lang.Thread.run(Thread.java:920)

000144_persist_00923_230517_114323.log:1039: 05-17 11:43:29.572  2840 22633 E hs-fsem-InstructionDispatcher: seekPlay() > start fail

000144_persist_00923_230517_114323.log:1040: 05-17 11:43:29.573  2840 22633 I hs-fsem-HHMediaManager: release(1)

000144_persist_00923_230517_114323.log:1041: 05-17 11:43:29.573  2840 22633 I hs-fsem-HHMediaPlayer: release(2)

000144_persist_00923_230517_114323.log:1050: 05-17 11:43:29.580  2840 22633 W System.err: java.lang.NullPointerException: Attempt to invoke virtual method 'void

android.media.MediaCodec.release()' on a null object reference

000144_persist_00923_230517_114323.log:1051: 05-17 11:43:29.581  2840 22633 W System.err:     at

com.hryt.hiphishowfsecontrol.mce_app.video_play.MediaDecoder.release(MediaDecoder.java:172)

000144_persist_00923_230517_114323.log:1052: 05-17 11:43:29.581  2840 22633 W System.err:     at

com.hryt.hiphishowfsecontrol.mce_app.video_play.HHMediaController.release(HHMediaController.java:174)

000144_persist_00923_230517_114323.log:1053: 05-17 11:43:29.581  2840 22633 W System.err:     at

com.hryt.hiphishowfsecontrol.mce_app.video_play.HHMediaManager.release(HHMediaManager.java:131)

000144_persist_00923_230517_114323.log:1054: 05-17 11:43:29.581  2840 22633 W System.err:     at
com.hryt.hiphishowfsecontrol.mce_app.processors.InstructionDispatcher$5.onFailed(InstructionDispatcher.java:374)

000144_persist_00923_230517_114323.log:1055: 05-17 11:43:29.581  2840 22633 W System.err:     at

com.hryt.hiphishowfsecontrol.mce_app.video_play.HHMediaController.onStart(HHMediaController.java:92)

000144_persist_00923_230517_114323.log:1056: 05-17 11:43:29.581  2840 22633 W System.err:     at

com.hryt.hiphishowfsecontrol.mce_app.video_play.HHMediaManager.onStart(HHMediaManager.java:102)

000144_persist_00923_230517_114323.log:1057: 05-17 11:43:29.581  2840 22633 W System.err:     at

com.hryt.hiphishowfsecontrol.mce_app.video_play.HHMediaManager.handleInstruction(HHMediaManager.java:146)

000144_persist_00923_230517_114323.log:1058: 05-17 11:43:29.581  2840 22633 W System.err:     at

com.hryt.hiphishowfsecontrol.mce_app.processors.InstructionDispatcher.seekPlay(InstructionDispatcher.java:400)

000144_persist_00923_230517_114323.log:1059: 05-17 11:43:29.581  2840 22633 W System.err:     at

com.hryt.hiphishowfsecontrol.mce_app.processors.InstructionDispatcher.onReceiveInstruction(InstructionDispatcher.java:145)

000144_persist_00923_230517_114323.log:1060: 05-17 11:43:29.581  2840 22633 W System.err:     at

com.hryt.hiphishowfsecontrol.mce_app.http_server.HttpReceiver.lambda$init$0$com-hryt-hiphishowfsecontrol-mce_app-http_server-HttpReceiver(HttpReceiver.java:6

4)

000144_persist_00923_230517_114323.log:1061: 05-17 11:43:29.581  2840 22633 W System.err:     at

com.hryt.hiphishowfsecontrol.mce_app.http_server.HttpReceiver$$ExternalSyntheticLambda1.onReceived(Unknown Source:2)

000144_persist_00923_230517_114323.log:1062: 05-17 11:43:29.581  2840 22633 W System.err:     at com.hryt.app.color.RequestHandler.run(RequestHandler.java:55)

000144_persist_00923_230517_114323.log:1064: 05-17 11:43:29.582  2840 22633 W System.err:     at

java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1167)

000144_persist_00923_230517_114323.log:1065: 05-17 11:43:29.582  2840 22633 W System.err:     at

java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)

000144_persist_00923_230517_114323.log:1066: 05-17 11:43:29.582  2840 22633 W System.err:     at java.lang.Thread.run(Thread.java:920)

000144_persist_00923_230517_114323.log:1068: 05-17 11:43:29.582  2840 22633 I System.out: HttpServer/ <- END HTTP

//后续有一些在桌面和qq音乐操作的触摸事件日志

000144_persist_00923_230517_114323.log:1080: 05-17 11:43:29.624  1535  1753 I input_focus: [Focus entering 53ded9e

com.tencent.qqmusic/com.tencent.qqmusic.activity.AppStarterActivity (server),reason=setFocusedWindow]

000144_persist_00925_230517_114333.log:129: 05-17 11:43:33.950  1535  1753 I input_interaction: Interaction with: e29a535

com.android.launcher3/com.android.launcher3.uioverrides.QuickstepLauncher (server), e1ff142 com.android.systemui.ImageWallpaper (server), edge-swipe (server),

swipe-up (server), PointerEventDispatcher0 (server),

000144_persist_00925_230517_114333.log:130: 05-17 11:43:33.950  1864  1864 D ViewTouchDebug: mView :

com.android.systemui.navigationbar.NavigationBarFrame{bc4ce7 V.E...... ........ 0,0-2560,46 #7f0b03f2 app:id/navigation_bar_frame}Receive event : MotionEvent {

action=ACTION_OUTSIDE, actionButton=0, id0=0, x0=0.0, y0=-1034.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0,

flags=0x0, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=3521757, downTime=3521757, deviceId=3, source=0x5002, displayId=0, eventId=1084386756 }

000144_persist_00925_230517_114333.log:131: 05-17 11:43:33.951  2513  2513 D ViewTouchDebug: mView : DecorView@c66dff8[QuickstepLauncher]Receive event :

MotionEvent { action=ACTION_DOWN, actionButton=0, id0=0, x0=361.0, y0=756.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE,

metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=3521757, downTime=3521757, deviceId=3, source=0x5002, displayId=0,

eventId=142580655 }

000144_persist_00925_230517_114333.log:166: 05-17 11:43:34.055  2513  2513 D ViewTouchDebug: mView : DecorView@c66dff8[QuickstepLauncher]Receive event :

MotionEvent { action=ACTION_UP, actionButton=0, id0=0, x0=361.0, y0=756.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0,

flags=0x0, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=3521862, downTime=3521757, deviceId=3, source=0x5002, displayId=0, eventId=312901648 }

000144_persist_00925_230517_114333.log:491: 05-17 11:43:35.125  2513  2513 D ViewTouchDebug: mView : DecorView@c66dff8[QuickstepLauncher]Receive event :

MotionEvent { action=ACTION_DOWN, actionButton=0, id0=0, x0=2048.0, y0=733.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE,

metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=3522931, downTime=3522931, deviceId=3, source=0x5002, displayId=0,

eventId=208572636 }

000144_persist_00925_230517_114333.log:492: 05-17 11:43:35.126  1864  1864 D ViewTouchDebug: mView :

com.android.systemui.navigationbar.NavigationBarFrame{bc4ce7 V.E...... ........ 0,0-2560,46 #7f0b03f2 app:id/navigation_bar_frame}Receive event : MotionEvent {

action=ACTION_OUTSIDE, actionButton=0, id0=0, x0=0.0, y0=-1034.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0,

flags=0x0, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=3522931, downTime=3522931, deviceId=3, source=0x5002, displayId=0, eventId=2146691060 }

000144_persist_00925_230517_114333.log:504: 05-17 11:43:35.261  2513  2513 D ViewTouchDebug: mView : DecorView@c66dff8[QuickstepLauncher]Receive event :

MotionEvent { action=ACTION_UP, actionButton=0, id0=0, x0=2048.0, y0=733.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE,

metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=3523069, downTime=3522931, deviceId=3, source=0x5002, displayId=0,

eventId=401787870 }
000144_persist_00925_230517_114333.log:549: 05-17 11:43:35.305  1535  1567 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN

cat=[android.intent.category.LAUNCHER] flg=0x10200000 cmp=com.tencent.qqmusic/.activity.AppStarterActivity} from uid 10072

从上面的日志来看，像是三屏联动动画播放异常了，但是没有退出播放画面，之后操作屏幕，触摸事件被后面的画面消化了(桌面，qq音乐等)

#7 - 2023-05-25 19:44 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

bug交由三屏联动同事进行分析，jira上的bug为已解决状态，关闭bug

#8 - 2023-05-25 19:44 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#9 - 2023-05-25 19:44 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

10点42分副屏冻屏.mp4 14.9 MB 2023-05-17 CDTS_TEST 王成

28659.zip 15.6 MB 2023-05-22 物联网项目组-RD3_CDTS 周飞
